Subject: Re: bug#24780: 26.0.50; describe-mode lexical-binding

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Aug 2020 06:10:31 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>>> This would indicate the legacy nature of dynamic binding, and gently
>>> nudge users to move to lexical-binding.
>>
>> That's a very good idea, I think.
>
> Heh.  I should look at the mode line more -- it currently says "Elisp/l"
> and "Elisp/d" with a ugly orange on the "/d", so I guess somebody
> already fixed this without us noticing?

I missed that due to diminish, which changes it to "el" for me in both
cases.  But you are correct now that I'm trying emacs -Q.

This was added in:

commit 620f672518b1c009a028ebdb0fd1d4a0aabfa1d0
Author: Stefan Monnier <[email-masked]>
Date:   Tue Mar 3 11:34:49 2020 -0500

    * lisp/progmodes/elisp-mode.el (elisp-enable-lexical-binding): New command

    (emacs-lisp-mode): Indicate lex/dyn binding mode in the mode line.
    (elisp--dynlex-modeline-map): New var.

We could of course still change it to "Elisp" for the "Elisp/l" case.
Or we could just close this bug.

Best regards,
Stefan Kangas